package com.chinaitop.depot.sqr.model.vo;

import com.chinaitop.depot.sqr.model.BizSqrEnterprise;
import com.chinaitop.depot.sqr.model.BizSqrEnterpriseApply;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class BizSqrEnterpriseVO extends BizSqrEnterprise {

    private String dwmc;
    private String dwdm;
    private String fddbr;
    private String dwlx;

    private String zcdz;
    public Integer cfs;
    public Integer ygs;

    private String dictLabel;

    private BigDecimal depotArea;
    private BigDecimal actualCapacity;


    /** 仓房设施设备情况 */
    @ApiModelProperty(value = "仓房设施设备情况", position = 11)
    private String warehouseFacilitySituation;

    /** 附件 */
    @ApiModelProperty(value = "附件", position = 12)
    private String attachment;

    /** 状态 0：保存状态；1：申请中；2：有效；3：过期； */
    @ApiModelProperty(value = "状态 0：保存状态；1：申请中；2：有效；3：过期；", position = 13)
    private Integer status;

    public String getDwmc() {
        return dwmc;
    }

    public void setDwmc(String dwmc) {
        this.dwmc = dwmc;
    }

    public String getDwdm() {
        return dwdm;
    }

    public void setDwdm(String dwdm) {
        this.dwdm = dwdm;
    }

    public String getFddbr() {
        return fddbr;
    }

    public void setFddbr(String fddbr) {
        this.fddbr = fddbr;
    }

    public String getDwlx() {
        return dwlx;
    }

    public void setDwlx(String dwlx) {
        this.dwlx = dwlx;
    }

    public String getWarehouseFacilitySituation() {
        return warehouseFacilitySituation;
    }

    public void setWarehouseFacilitySituation(String warehouseFacilitySituation) {
        this.warehouseFacilitySituation = warehouseFacilitySituation;
    }

    public String getAttachment() {
        return attachment;
    }

    public void setAttachment(String attachment) {
        this.attachment = attachment;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getZcdz() {
        return zcdz;
    }

    public String getDictLabel() {
        return dictLabel;
    }

    public BigDecimal getDepotArea() {
        return depotArea;
    }

    public void setDepotArea(BigDecimal depotArea) {
        this.depotArea = depotArea;
    }

    public BigDecimal getActualCapacity() {
        return actualCapacity;
    }

    public void setActualCapacity(BigDecimal actualCapacity) {
        this.actualCapacity = actualCapacity;
    }

    public void setDictLabel(String dictLabel) {
        this.dictLabel = dictLabel;
    }

    public void setZcdz(String zcdz) {
        this.zcdz = zcdz;
    }

    public Integer getCfs() {
        return cfs;
    }

    public void setCfs(Integer cfs) {
        this.cfs = cfs;
    }

    public Integer getYgs() {
        return ygs;
    }

    public void setYgs(Integer ygs) {
        this.ygs = ygs;
    }

}
