package com.chinaitop.depot.system.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class BizUnitInfo {
    private String id;

    private String deleteFlag;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    private String createUser;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    private String updateUser;

    private String dwdm;

    private String tydwbm;

    private String dwmc;

    private String dwlx;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date zcrq;

    private BigDecimal zczb;

    private BigDecimal zcze;

    private String fddbr;

    private String frsfzh;

    private String frlxfs;

    private String qylxr;

    private String bgdh;

    private String zcdz;

    private String zcdzProvince;

    private String zcdzCity;

    private String zcdzArea;

    private String dzyx;

    private String qygfwzdz;

    private String czhm;

    private String yzbm;

    private String xzqhdm;

    private String sjdwmc;

    private String sjdwdm;

    private Integer kqs;

    private Integer cfs;

    private Integer ygs;

    private BigDecimal jd;

    private BigDecimal wd;
    private BigDecimal depotArea;
    private BigDecimal actualCapacity;


    private Byte dwzt;

    private String czbz;

    private String dictLabel;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date zhgxsj;

    public String getDictLabel() {
        return dictLabel;
    }

    public void setDictLabel(String dictLabel) {
        this.dictLabel = dictLabel;
    }

    public BigDecimal getDepotArea() {
        return depotArea;
    }

    public void setDepotArea(BigDecimal depotArea) {
        this.depotArea = depotArea;
    }

    public BigDecimal getActualCapacity() {
        return actualCapacity;
    }

    public void setActualCapacity(BigDecimal actualCapacity) {
        this.actualCapacity = actualCapacity;
    }

    /**
     * 
     * @return id 
     */
    public String getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 删除标志
     * @return delete_flag 删除标志
     */
    public String getDeleteFlag() {
        return deleteFlag;
    }

    /**
     * 删除标志
     * @param deleteFlag 删除标志
     */
    public void setDeleteFlag(String deleteFlag) {
        this.deleteFlag = deleteFlag == null ? null : deleteFlag.trim();
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建用户
     * @return create_user 创建用户
     */
    public String getCreateUser() {
        return createUser;
    }

    /**
     * 创建用户
     * @param createUser 创建用户
     */
    public void setCreateUser(String createUser) {
        this.createUser = createUser == null ? null : createUser.trim();
    }

    /**
     * 修改时间
     * @return update_time 修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 修改用户
     * @return update_user 修改用户
     */
    public String getUpdateUser() {
        return updateUser;
    }

    /**
     * 修改用户
     * @param updateUser 修改用户
     */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser == null ? null : updateUser.trim();
    }

    /**
     * 单位代码，18位统一社会信用代码
     * @return dwdm 单位代码，18位统一社会信用代码
     */
    public String getDwdm() {
        return dwdm;
    }

    /**
     * 单位代码，18位统一社会信用代码
     * @param dwdm 单位代码，18位统一社会信用代码
     */
    public void setDwdm(String dwdm) {
        this.dwdm = dwdm == null ? null : dwdm.trim();
    }

    /**
     * 统一单位编码，企业性质代码+统一社会信用代码
     * @return tydwbm 统一单位编码，企业性质代码+统一社会信用代码
     */
    public String getTydwbm() {
        return tydwbm;
    }

    /**
     * 统一单位编码，企业性质代码+统一社会信用代码
     * @param tydwbm 统一单位编码，企业性质代码+统一社会信用代码
     */
    public void setTydwbm(String tydwbm) {
        this.tydwbm = tydwbm == null ? null : tydwbm.trim();
    }

    /**
     * 单位名称
     * @return dwmc 单位名称
     */
    public String getDwmc() {
        return dwmc;
    }

    /**
     * 单位名称
     * @param dwmc 单位名称
     */
    public void setDwmc(String dwmc) {
        this.dwmc = dwmc == null ? null : dwmc.trim();
    }

    /**
     * 单位类型，引用LS/T 1701-2004的表A.1
     * @return dwlx 单位类型，引用LS/T 1701-2004的表A.1
     */
    public String getDwlx() {
        return dwlx;
    }

    /**
     * 单位类型，引用LS/T 1701-2004的表A.1
     * @param dwlx 单位类型，引用LS/T 1701-2004的表A.1
     */
    public void setDwlx(String dwlx) {
        this.dwlx = dwlx == null ? null : dwlx.trim();
    }

    /**
     * 注册日期，格式：yyyy-MM-dd
     * @return zcrq 注册日期，格式：yyyy-MM-dd
     */
    public Date getZcrq() {
        return zcrq;
    }

    /**
     * 注册日期，格式：yyyy-MM-dd
     * @param zcrq 注册日期，格式：yyyy-MM-dd
     */
    public void setZcrq(Date zcrq) {
        this.zcrq = zcrq;
    }

    /**
     * 注册资本，单位：万元
     * @return zczb 注册资本，单位：万元
     */
    public BigDecimal getZczb() {
        return zczb;
    }

    /**
     * 注册资本，单位：万元
     * @param zczb 注册资本，单位：万元
     */
    public void setZczb(BigDecimal zczb) {
        this.zczb = zczb;
    }

    /**
     * 资产总额，单位：万元，取最近一年财务报告数据，需每年更新
     * @return zcze 资产总额，单位：万元，取最近一年财务报告数据，需每年更新
     */
    public BigDecimal getZcze() {
        return zcze;
    }

    /**
     * 资产总额，单位：万元，取最近一年财务报告数据，需每年更新
     * @param zcze 资产总额，单位：万元，取最近一年财务报告数据，需每年更新
     */
    public void setZcze(BigDecimal zcze) {
        this.zcze = zcze;
    }

    /**
     * 法定代表人
     * @return fddbr 法定代表人
     */
    public String getFddbr() {
        return fddbr;
    }

    /**
     * 法定代表人
     * @param fddbr 法定代表人
     */
    public void setFddbr(String fddbr) {
        this.fddbr = fddbr == null ? null : fddbr.trim();
    }

    /**
     * 法人身份证号
     * @return frsfzh 法人身份证号
     */
    public String getFrsfzh() {
        return frsfzh;
    }

    /**
     * 法人身份证号
     * @param frsfzh 法人身份证号
     */
    public void setFrsfzh(String frsfzh) {
        this.frsfzh = frsfzh == null ? null : frsfzh.trim();
    }

    /**
     * 法人联系方式，国内标准手机号码或固定电话号码
     * @return frlxfs 法人联系方式，国内标准手机号码或固定电话号码
     */
    public String getFrlxfs() {
        return frlxfs;
    }

    /**
     * 法人联系方式，国内标准手机号码或固定电话号码
     * @param frlxfs 法人联系方式，国内标准手机号码或固定电话号码
     */
    public void setFrlxfs(String frlxfs) {
        this.frlxfs = frlxfs == null ? null : frlxfs.trim();
    }

    /**
     * 企业联系人
     * @return qylxr 企业联系人
     */
    public String getQylxr() {
        return qylxr;
    }

    /**
     * 企业联系人
     * @param qylxr 企业联系人
     */
    public void setQylxr(String qylxr) {
        this.qylxr = qylxr == null ? null : qylxr.trim();
    }

    /**
     * 办公电话，国内标准手机号码或固定电话号码
     * @return bgdh 办公电话，国内标准手机号码或固定电话号码
     */
    public String getBgdh() {
        return bgdh;
    }

    /**
     * 办公电话，国内标准手机号码或固定电话号码
     * @param bgdh 办公电话，国内标准手机号码或固定电话号码
     */
    public void setBgdh(String bgdh) {
        this.bgdh = bgdh == null ? null : bgdh.trim();
    }

    /**
     * 注册地址
     * @return zcdz 注册地址
     */
    public String getZcdz() {
        return zcdz;
    }

    /**
     * 注册地址
     * @param zcdz 注册地址
     */
    public void setZcdz(String zcdz) {
        this.zcdz = zcdz == null ? null : zcdz.trim();
    }

    /**
     * 注册地址-省
     * @return zcdz_province 注册地址-省
     */
    public String getZcdzProvince() {
        return zcdzProvince;
    }

    /**
     * 注册地址-省
     * @param zcdzProvince 注册地址-省
     */
    public void setZcdzProvince(String zcdzProvince) {
        this.zcdzProvince = zcdzProvince == null ? null : zcdzProvince.trim();
    }

    /**
     * 注册地址-市
     * @return zcdz_city 注册地址-市
     */
    public String getZcdzCity() {
        return zcdzCity;
    }

    /**
     * 注册地址-市
     * @param zcdzCity 注册地址-市
     */
    public void setZcdzCity(String zcdzCity) {
        this.zcdzCity = zcdzCity == null ? null : zcdzCity.trim();
    }

    /**
     * 注册地址-区
     * @return zcdz_area 注册地址-区
     */
    public String getZcdzArea() {
        return zcdzArea;
    }

    /**
     * 注册地址-区
     * @param zcdzArea 注册地址-区
     */
    public void setZcdzArea(String zcdzArea) {
        this.zcdzArea = zcdzArea == null ? null : zcdzArea.trim();
    }

    /**
     * 电子邮箱
     * @return dzyx 电子邮箱
     */
    public String getDzyx() {
        return dzyx;
    }

    /**
     * 电子邮箱
     * @param dzyx 电子邮箱
     */
    public void setDzyx(String dzyx) {
        this.dzyx = dzyx == null ? null : dzyx.trim();
    }

    /**
     * 企业官方网站地址
     * @return qygfwzdz 企业官方网站地址
     */
    public String getQygfwzdz() {
        return qygfwzdz;
    }

    /**
     * 企业官方网站地址
     * @param qygfwzdz 企业官方网站地址
     */
    public void setQygfwzdz(String qygfwzdz) {
        this.qygfwzdz = qygfwzdz == null ? null : qygfwzdz.trim();
    }

    /**
     * 传真号码，国内标准传真号码
     * @return czhm 传真号码，国内标准传真号码
     */
    public String getCzhm() {
        return czhm;
    }

    /**
     * 传真号码，国内标准传真号码
     * @param czhm 传真号码，国内标准传真号码
     */
    public void setCzhm(String czhm) {
        this.czhm = czhm == null ? null : czhm.trim();
    }

    /**
     * 邮政编码
     * @return yzbm 邮政编码
     */
    public String getYzbm() {
        return yzbm;
    }

    /**
     * 邮政编码
     * @param yzbm 邮政编码
     */
    public void setYzbm(String yzbm) {
        this.yzbm = yzbm == null ? null : yzbm.trim();
    }

    /**
     * 行政区划代码，引用GB/T 2260-2007年区划代码
     * @return xzqhdm 行政区划代码，引用GB/T 2260-2007年区划代码
     */
    public String getXzqhdm() {
        return xzqhdm;
    }

    /**
     * 行政区划代码，引用GB/T 2260-2007年区划代码
     * @param xzqhdm 行政区划代码，引用GB/T 2260-2007年区划代码
     */
    public void setXzqhdm(String xzqhdm) {
        this.xzqhdm = xzqhdm == null ? null : xzqhdm.trim();
    }

    /**
     * 上级单位名称
     * @return sjdwmc 上级单位名称
     */
    public String getSjdwmc() {
        return sjdwmc;
    }

    /**
     * 上级单位名称
     * @param sjdwmc 上级单位名称
     */
    public void setSjdwmc(String sjdwmc) {
        this.sjdwmc = sjdwmc == null ? null : sjdwmc.trim();
    }

    /**
     * 上级单位代码，18位统一社会信用代码
     * @return sjdwdm 上级单位代码，18位统一社会信用代码
     */
    public String getSjdwdm() {
        return sjdwdm;
    }

    /**
     * 上级单位代码，18位统一社会信用代码
     * @param sjdwdm 上级单位代码，18位统一社会信用代码
     */
    public void setSjdwdm(String sjdwdm) {
        this.sjdwdm = sjdwdm == null ? null : sjdwdm.trim();
    }

    /**
     * 库区数
     * @return kqs 库区数
     */
    public Integer getKqs() {
        return kqs;
    }

    /**
     * 库区数
     * @param kqs 库区数
     */
    public void setKqs(Integer kqs) {
        this.kqs = kqs;
    }

    /**
     * 仓房数
     * @return cfs 仓房数
     */
    public Integer getCfs() {
        return cfs;
    }

    /**
     * 仓房数
     * @param cfs 仓房数
     */
    public void setCfs(Integer cfs) {
        this.cfs = cfs;
    }

    /**
     * 油罐数
     * @return ygs 油罐数
     */
    public Integer getYgs() {
        return ygs;
    }

    /**
     * 油罐数
     * @param ygs 油罐数
     */
    public void setYgs(Integer ygs) {
        this.ygs = ygs;
    }

    /**
     * 经度，以度数（十进制）表示
     * @return jd 经度，以度数（十进制）表示
     */
    public BigDecimal getJd() {
        return jd;
    }

    /**
     * 经度，以度数（十进制）表示
     * @param jd 经度，以度数（十进制）表示
     */
    public void setJd(BigDecimal jd) {
        this.jd = jd;
    }

    /**
     * 纬度，以度数（十进制）表示
     * @return wd 纬度，以度数（十进制）表示
     */
    public BigDecimal getWd() {
        return wd;
    }

    /**
     * 纬度，以度数（十进制）表示
     * @param wd 纬度，以度数（十进制）表示
     */
    public void setWd(BigDecimal wd) {
        this.wd = wd;
    }

    /**
     * 单位状态，1:正常，2:退出储备粮承储
     * @return dwzt 单位状态，1:正常，2:退出储备粮承储
     */
    public Byte getDwzt() {
        return dwzt;
    }

    /**
     * 单位状态，1:正常，2:退出储备粮承储
     * @param dwzt 单位状态，1:正常，2:退出储备粮承储
     */
    public void setDwzt(Byte dwzt) {
        this.dwzt = dwzt;
    }

    /**
     * 操作标志，i:新增数据，u:更新数据，d:删除数据
     * @return czbz 操作标志，i:新增数据，u:更新数据，d:删除数据
     */
    public String getCzbz() {
        return czbz;
    }

    /**
     * 操作标志，i:新增数据，u:更新数据，d:删除数据
     * @param czbz 操作标志，i:新增数据，u:更新数据，d:删除数据
     */
    public void setCzbz(String czbz) {
        this.czbz = czbz == null ? null : czbz.trim();
    }

    /**
     * 最后更新时间
     * @return zhgxsj 最后更新时间
     */
    public Date getZhgxsj() {
        return zhgxsj;
    }

    /**
     * 最后更新时间
     * @param zhgxsj 最后更新时间
     */
    public void setZhgxsj(Date zhgxsj) {
        this.zhgxsj = zhgxsj;
    }
}