package com.chinaitop.depot.system.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class BizUnitInfoExample {
    /**
     * biz_unit_info
     */
    protected String orderByClause;

    /**
     * biz_unit_info
     */
    protected boolean distinct;

    /**
     * biz_unit_info
     */
    protected List<Criteria> oredCriteria;

    public BizUnitInfoExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * biz_unit_info 2024-04-26
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<java.sql.Date>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andDeleteFlagIsNull() {
            addCriterion("delete_flag is null");
            return (Criteria) this;
        }

        public Criteria andDeleteFlagIsNotNull() {
            addCriterion("delete_flag is not null");
            return (Criteria) this;
        }

        public Criteria andDeleteFlagEqualTo(String value) {
            addCriterion("delete_flag =", value, "deleteFlag");
            return (Criteria) this;
        }

        public Criteria andDeleteFlagNotEqualTo(String value) {
            addCriterion("delete_flag <>", value, "deleteFlag");
            return (Criteria) this;
        }

        public Criteria andDeleteFlagGreaterThan(String value) {
            addCriterion("delete_flag >", value, "deleteFlag");
            return (Criteria) this;
        }

        public Criteria andDeleteFlagGreaterThanOrEqualTo(String value) {
            addCriterion("delete_flag >=", value, "deleteFlag");
            return (Criteria) this;
        }

        public Criteria andDeleteFlagLessThan(String value) {
            addCriterion("delete_flag <", value, "deleteFlag");
            return (Criteria) this;
        }

        public Criteria andDeleteFlagLessThanOrEqualTo(String value) {
            addCriterion("delete_flag <=", value, "deleteFlag");
            return (Criteria) this;
        }

        public Criteria andDeleteFlagLike(String value) {
            addCriterion("delete_flag like", value, "deleteFlag");
            return (Criteria) this;
        }

        public Criteria andDeleteFlagNotLike(String value) {
            addCriterion("delete_flag not like", value, "deleteFlag");
            return (Criteria) this;
        }

        public Criteria andDeleteFlagIn(List<String> values) {
            addCriterion("delete_flag in", values, "deleteFlag");
            return (Criteria) this;
        }

        public Criteria andDeleteFlagNotIn(List<String> values) {
            addCriterion("delete_flag not in", values, "deleteFlag");
            return (Criteria) this;
        }

        public Criteria andDeleteFlagBetween(String value1, String value2) {
            addCriterion("delete_flag between", value1, value2, "deleteFlag");
            return (Criteria) this;
        }

        public Criteria andDeleteFlagNotBetween(String value1, String value2) {
            addCriterion("delete_flag not between", value1, value2, "deleteFlag");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIsNull() {
            addCriterion("create_user is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIsNotNull() {
            addCriterion("create_user is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserEqualTo(String value) {
            addCriterion("create_user =", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotEqualTo(String value) {
            addCriterion("create_user <>", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserGreaterThan(String value) {
            addCriterion("create_user >", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserGreaterThanOrEqualTo(String value) {
            addCriterion("create_user >=", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLessThan(String value) {
            addCriterion("create_user <", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLessThanOrEqualTo(String value) {
            addCriterion("create_user <=", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLike(String value) {
            addCriterion("create_user like", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotLike(String value) {
            addCriterion("create_user not like", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserIn(List<String> values) {
            addCriterion("create_user in", values, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotIn(List<String> values) {
            addCriterion("create_user not in", values, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserBetween(String value1, String value2) {
            addCriterion("create_user between", value1, value2, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotBetween(String value1, String value2) {
            addCriterion("create_user not between", value1, value2, "createUser");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIsNull() {
            addCriterion("update_user is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIsNotNull() {
            addCriterion("update_user is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserEqualTo(String value) {
            addCriterion("update_user =", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotEqualTo(String value) {
            addCriterion("update_user <>", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserGreaterThan(String value) {
            addCriterion("update_user >", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserGreaterThanOrEqualTo(String value) {
            addCriterion("update_user >=", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLessThan(String value) {
            addCriterion("update_user <", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLessThanOrEqualTo(String value) {
            addCriterion("update_user <=", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLike(String value) {
            addCriterion("update_user like", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotLike(String value) {
            addCriterion("update_user not like", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIn(List<String> values) {
            addCriterion("update_user in", values, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotIn(List<String> values) {
            addCriterion("update_user not in", values, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserBetween(String value1, String value2) {
            addCriterion("update_user between", value1, value2, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotBetween(String value1, String value2) {
            addCriterion("update_user not between", value1, value2, "updateUser");
            return (Criteria) this;
        }

        public Criteria andDwdmIsNull() {
            addCriterion("dwdm is null");
            return (Criteria) this;
        }

        public Criteria andDwdmIsNotNull() {
            addCriterion("dwdm is not null");
            return (Criteria) this;
        }

        public Criteria andDwdmEqualTo(String value) {
            addCriterion("dwdm =", value, "dwdm");
            return (Criteria) this;
        }

        public Criteria andDwdmNotEqualTo(String value) {
            addCriterion("dwdm <>", value, "dwdm");
            return (Criteria) this;
        }

        public Criteria andDwdmGreaterThan(String value) {
            addCriterion("dwdm >", value, "dwdm");
            return (Criteria) this;
        }

        public Criteria andDwdmGreaterThanOrEqualTo(String value) {
            addCriterion("dwdm >=", value, "dwdm");
            return (Criteria) this;
        }

        public Criteria andDwdmLessThan(String value) {
            addCriterion("dwdm <", value, "dwdm");
            return (Criteria) this;
        }

        public Criteria andDwdmLessThanOrEqualTo(String value) {
            addCriterion("dwdm <=", value, "dwdm");
            return (Criteria) this;
        }

        public Criteria andDwdmLike(String value) {
            addCriterion("dwdm like", value, "dwdm");
            return (Criteria) this;
        }

        public Criteria andDwdmNotLike(String value) {
            addCriterion("dwdm not like", value, "dwdm");
            return (Criteria) this;
        }

        public Criteria andDwdmIn(List<String> values) {
            addCriterion("dwdm in", values, "dwdm");
            return (Criteria) this;
        }

        public Criteria andDwdmNotIn(List<String> values) {
            addCriterion("dwdm not in", values, "dwdm");
            return (Criteria) this;
        }

        public Criteria andDwdmBetween(String value1, String value2) {
            addCriterion("dwdm between", value1, value2, "dwdm");
            return (Criteria) this;
        }

        public Criteria andDwdmNotBetween(String value1, String value2) {
            addCriterion("dwdm not between", value1, value2, "dwdm");
            return (Criteria) this;
        }

        public Criteria andTydwbmIsNull() {
            addCriterion("tydwbm is null");
            return (Criteria) this;
        }

        public Criteria andTydwbmIsNotNull() {
            addCriterion("tydwbm is not null");
            return (Criteria) this;
        }

        public Criteria andTydwbmEqualTo(String value) {
            addCriterion("tydwbm =", value, "tydwbm");
            return (Criteria) this;
        }

        public Criteria andTydwbmNotEqualTo(String value) {
            addCriterion("tydwbm <>", value, "tydwbm");
            return (Criteria) this;
        }

        public Criteria andTydwbmGreaterThan(String value) {
            addCriterion("tydwbm >", value, "tydwbm");
            return (Criteria) this;
        }

        public Criteria andTydwbmGreaterThanOrEqualTo(String value) {
            addCriterion("tydwbm >=", value, "tydwbm");
            return (Criteria) this;
        }

        public Criteria andTydwbmLessThan(String value) {
            addCriterion("tydwbm <", value, "tydwbm");
            return (Criteria) this;
        }

        public Criteria andTydwbmLessThanOrEqualTo(String value) {
            addCriterion("tydwbm <=", value, "tydwbm");
            return (Criteria) this;
        }

        public Criteria andTydwbmLike(String value) {
            addCriterion("tydwbm like", value, "tydwbm");
            return (Criteria) this;
        }

        public Criteria andTydwbmNotLike(String value) {
            addCriterion("tydwbm not like", value, "tydwbm");
            return (Criteria) this;
        }

        public Criteria andTydwbmIn(List<String> values) {
            addCriterion("tydwbm in", values, "tydwbm");
            return (Criteria) this;
        }

        public Criteria andTydwbmNotIn(List<String> values) {
            addCriterion("tydwbm not in", values, "tydwbm");
            return (Criteria) this;
        }

        public Criteria andTydwbmBetween(String value1, String value2) {
            addCriterion("tydwbm between", value1, value2, "tydwbm");
            return (Criteria) this;
        }

        public Criteria andTydwbmNotBetween(String value1, String value2) {
            addCriterion("tydwbm not between", value1, value2, "tydwbm");
            return (Criteria) this;
        }

        public Criteria andDwmcIsNull() {
            addCriterion("dwmc is null");
            return (Criteria) this;
        }

        public Criteria andDwmcIsNotNull() {
            addCriterion("dwmc is not null");
            return (Criteria) this;
        }

        public Criteria andDwmcEqualTo(String value) {
            addCriterion("dwmc =", value, "dwmc");
            return (Criteria) this;
        }

        public Criteria andDwmcNotEqualTo(String value) {
            addCriterion("dwmc <>", value, "dwmc");
            return (Criteria) this;
        }

        public Criteria andDwmcGreaterThan(String value) {
            addCriterion("dwmc >", value, "dwmc");
            return (Criteria) this;
        }

        public Criteria andDwmcGreaterThanOrEqualTo(String value) {
            addCriterion("dwmc >=", value, "dwmc");
            return (Criteria) this;
        }

        public Criteria andDwmcLessThan(String value) {
            addCriterion("dwmc <", value, "dwmc");
            return (Criteria) this;
        }

        public Criteria andDwmcLessThanOrEqualTo(String value) {
            addCriterion("dwmc <=", value, "dwmc");
            return (Criteria) this;
        }

        public Criteria andDwmcLike(String value) {
            addCriterion("dwmc like", value, "dwmc");
            return (Criteria) this;
        }

        public Criteria andDwmcNotLike(String value) {
            addCriterion("dwmc not like", value, "dwmc");
            return (Criteria) this;
        }

        public Criteria andDwmcIn(List<String> values) {
            addCriterion("dwmc in", values, "dwmc");
            return (Criteria) this;
        }

        public Criteria andDwmcNotIn(List<String> values) {
            addCriterion("dwmc not in", values, "dwmc");
            return (Criteria) this;
        }

        public Criteria andDwmcBetween(String value1, String value2) {
            addCriterion("dwmc between", value1, value2, "dwmc");
            return (Criteria) this;
        }

        public Criteria andDwmcNotBetween(String value1, String value2) {
            addCriterion("dwmc not between", value1, value2, "dwmc");
            return (Criteria) this;
        }

        public Criteria andDwlxIsNull() {
            addCriterion("dwlx is null");
            return (Criteria) this;
        }

        public Criteria andDwlxIsNotNull() {
            addCriterion("dwlx is not null");
            return (Criteria) this;
        }

        public Criteria andDwlxEqualTo(String value) {
            addCriterion("dwlx =", value, "dwlx");
            return (Criteria) this;
        }

        public Criteria andDwlxNotEqualTo(String value) {
            addCriterion("dwlx <>", value, "dwlx");
            return (Criteria) this;
        }

        public Criteria andDwlxGreaterThan(String value) {
            addCriterion("dwlx >", value, "dwlx");
            return (Criteria) this;
        }

        public Criteria andDwlxGreaterThanOrEqualTo(String value) {
            addCriterion("dwlx >=", value, "dwlx");
            return (Criteria) this;
        }

        public Criteria andDwlxLessThan(String value) {
            addCriterion("dwlx <", value, "dwlx");
            return (Criteria) this;
        }

        public Criteria andDwlxLessThanOrEqualTo(String value) {
            addCriterion("dwlx <=", value, "dwlx");
            return (Criteria) this;
        }

        public Criteria andDwlxLike(String value) {
            addCriterion("dwlx like", value, "dwlx");
            return (Criteria) this;
        }

        public Criteria andDwlxNotLike(String value) {
            addCriterion("dwlx not like", value, "dwlx");
            return (Criteria) this;
        }

        public Criteria andDwlxIn(List<String> values) {
            addCriterion("dwlx in", values, "dwlx");
            return (Criteria) this;
        }

        public Criteria andDwlxNotIn(List<String> values) {
            addCriterion("dwlx not in", values, "dwlx");
            return (Criteria) this;
        }

        public Criteria andDwlxBetween(String value1, String value2) {
            addCriterion("dwlx between", value1, value2, "dwlx");
            return (Criteria) this;
        }

        public Criteria andDwlxNotBetween(String value1, String value2) {
            addCriterion("dwlx not between", value1, value2, "dwlx");
            return (Criteria) this;
        }

        public Criteria andZcrqIsNull() {
            addCriterion("zcrq is null");
            return (Criteria) this;
        }

        public Criteria andZcrqIsNotNull() {
            addCriterion("zcrq is not null");
            return (Criteria) this;
        }

        public Criteria andZcrqEqualTo(Date value) {
            addCriterionForJDBCDate("zcrq =", value, "zcrq");
            return (Criteria) this;
        }

        public Criteria andZcrqNotEqualTo(Date value) {
            addCriterionForJDBCDate("zcrq <>", value, "zcrq");
            return (Criteria) this;
        }

        public Criteria andZcrqGreaterThan(Date value) {
            addCriterionForJDBCDate("zcrq >", value, "zcrq");
            return (Criteria) this;
        }

        public Criteria andZcrqGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("zcrq >=", value, "zcrq");
            return (Criteria) this;
        }

        public Criteria andZcrqLessThan(Date value) {
            addCriterionForJDBCDate("zcrq <", value, "zcrq");
            return (Criteria) this;
        }

        public Criteria andZcrqLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("zcrq <=", value, "zcrq");
            return (Criteria) this;
        }

        public Criteria andZcrqIn(List<Date> values) {
            addCriterionForJDBCDate("zcrq in", values, "zcrq");
            return (Criteria) this;
        }

        public Criteria andZcrqNotIn(List<Date> values) {
            addCriterionForJDBCDate("zcrq not in", values, "zcrq");
            return (Criteria) this;
        }

        public Criteria andZcrqBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("zcrq between", value1, value2, "zcrq");
            return (Criteria) this;
        }

        public Criteria andZcrqNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("zcrq not between", value1, value2, "zcrq");
            return (Criteria) this;
        }

        public Criteria andZczbIsNull() {
            addCriterion("zczb is null");
            return (Criteria) this;
        }

        public Criteria andZczbIsNotNull() {
            addCriterion("zczb is not null");
            return (Criteria) this;
        }

        public Criteria andZczbEqualTo(BigDecimal value) {
            addCriterion("zczb =", value, "zczb");
            return (Criteria) this;
        }

        public Criteria andZczbNotEqualTo(BigDecimal value) {
            addCriterion("zczb <>", value, "zczb");
            return (Criteria) this;
        }

        public Criteria andZczbGreaterThan(BigDecimal value) {
            addCriterion("zczb >", value, "zczb");
            return (Criteria) this;
        }

        public Criteria andZczbGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("zczb >=", value, "zczb");
            return (Criteria) this;
        }

        public Criteria andZczbLessThan(BigDecimal value) {
            addCriterion("zczb <", value, "zczb");
            return (Criteria) this;
        }

        public Criteria andZczbLessThanOrEqualTo(BigDecimal value) {
            addCriterion("zczb <=", value, "zczb");
            return (Criteria) this;
        }

        public Criteria andZczbIn(List<BigDecimal> values) {
            addCriterion("zczb in", values, "zczb");
            return (Criteria) this;
        }

        public Criteria andZczbNotIn(List<BigDecimal> values) {
            addCriterion("zczb not in", values, "zczb");
            return (Criteria) this;
        }

        public Criteria andZczbBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("zczb between", value1, value2, "zczb");
            return (Criteria) this;
        }

        public Criteria andZczbNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("zczb not between", value1, value2, "zczb");
            return (Criteria) this;
        }

        public Criteria andZczeIsNull() {
            addCriterion("zcze is null");
            return (Criteria) this;
        }

        public Criteria andZczeIsNotNull() {
            addCriterion("zcze is not null");
            return (Criteria) this;
        }

        public Criteria andZczeEqualTo(BigDecimal value) {
            addCriterion("zcze =", value, "zcze");
            return (Criteria) this;
        }

        public Criteria andZczeNotEqualTo(BigDecimal value) {
            addCriterion("zcze <>", value, "zcze");
            return (Criteria) this;
        }

        public Criteria andZczeGreaterThan(BigDecimal value) {
            addCriterion("zcze >", value, "zcze");
            return (Criteria) this;
        }

        public Criteria andZczeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("zcze >=", value, "zcze");
            return (Criteria) this;
        }

        public Criteria andZczeLessThan(BigDecimal value) {
            addCriterion("zcze <", value, "zcze");
            return (Criteria) this;
        }

        public Criteria andZczeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("zcze <=", value, "zcze");
            return (Criteria) this;
        }

        public Criteria andZczeIn(List<BigDecimal> values) {
            addCriterion("zcze in", values, "zcze");
            return (Criteria) this;
        }

        public Criteria andZczeNotIn(List<BigDecimal> values) {
            addCriterion("zcze not in", values, "zcze");
            return (Criteria) this;
        }

        public Criteria andZczeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("zcze between", value1, value2, "zcze");
            return (Criteria) this;
        }

        public Criteria andZczeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("zcze not between", value1, value2, "zcze");
            return (Criteria) this;
        }

        public Criteria andFddbrIsNull() {
            addCriterion("fddbr is null");
            return (Criteria) this;
        }

        public Criteria andFddbrIsNotNull() {
            addCriterion("fddbr is not null");
            return (Criteria) this;
        }

        public Criteria andFddbrEqualTo(String value) {
            addCriterion("fddbr =", value, "fddbr");
            return (Criteria) this;
        }

        public Criteria andFddbrNotEqualTo(String value) {
            addCriterion("fddbr <>", value, "fddbr");
            return (Criteria) this;
        }

        public Criteria andFddbrGreaterThan(String value) {
            addCriterion("fddbr >", value, "fddbr");
            return (Criteria) this;
        }

        public Criteria andFddbrGreaterThanOrEqualTo(String value) {
            addCriterion("fddbr >=", value, "fddbr");
            return (Criteria) this;
        }

        public Criteria andFddbrLessThan(String value) {
            addCriterion("fddbr <", value, "fddbr");
            return (Criteria) this;
        }

        public Criteria andFddbrLessThanOrEqualTo(String value) {
            addCriterion("fddbr <=", value, "fddbr");
            return (Criteria) this;
        }

        public Criteria andFddbrLike(String value) {
            addCriterion("fddbr like", value, "fddbr");
            return (Criteria) this;
        }

        public Criteria andFddbrNotLike(String value) {
            addCriterion("fddbr not like", value, "fddbr");
            return (Criteria) this;
        }

        public Criteria andFddbrIn(List<String> values) {
            addCriterion("fddbr in", values, "fddbr");
            return (Criteria) this;
        }

        public Criteria andFddbrNotIn(List<String> values) {
            addCriterion("fddbr not in", values, "fddbr");
            return (Criteria) this;
        }

        public Criteria andFddbrBetween(String value1, String value2) {
            addCriterion("fddbr between", value1, value2, "fddbr");
            return (Criteria) this;
        }

        public Criteria andFddbrNotBetween(String value1, String value2) {
            addCriterion("fddbr not between", value1, value2, "fddbr");
            return (Criteria) this;
        }

        public Criteria andFrsfzhIsNull() {
            addCriterion("frsfzh is null");
            return (Criteria) this;
        }

        public Criteria andFrsfzhIsNotNull() {
            addCriterion("frsfzh is not null");
            return (Criteria) this;
        }

        public Criteria andFrsfzhEqualTo(String value) {
            addCriterion("frsfzh =", value, "frsfzh");
            return (Criteria) this;
        }

        public Criteria andFrsfzhNotEqualTo(String value) {
            addCriterion("frsfzh <>", value, "frsfzh");
            return (Criteria) this;
        }

        public Criteria andFrsfzhGreaterThan(String value) {
            addCriterion("frsfzh >", value, "frsfzh");
            return (Criteria) this;
        }

        public Criteria andFrsfzhGreaterThanOrEqualTo(String value) {
            addCriterion("frsfzh >=", value, "frsfzh");
            return (Criteria) this;
        }

        public Criteria andFrsfzhLessThan(String value) {
            addCriterion("frsfzh <", value, "frsfzh");
            return (Criteria) this;
        }

        public Criteria andFrsfzhLessThanOrEqualTo(String value) {
            addCriterion("frsfzh <=", value, "frsfzh");
            return (Criteria) this;
        }

        public Criteria andFrsfzhLike(String value) {
            addCriterion("frsfzh like", value, "frsfzh");
            return (Criteria) this;
        }

        public Criteria andFrsfzhNotLike(String value) {
            addCriterion("frsfzh not like", value, "frsfzh");
            return (Criteria) this;
        }

        public Criteria andFrsfzhIn(List<String> values) {
            addCriterion("frsfzh in", values, "frsfzh");
            return (Criteria) this;
        }

        public Criteria andFrsfzhNotIn(List<String> values) {
            addCriterion("frsfzh not in", values, "frsfzh");
            return (Criteria) this;
        }

        public Criteria andFrsfzhBetween(String value1, String value2) {
            addCriterion("frsfzh between", value1, value2, "frsfzh");
            return (Criteria) this;
        }

        public Criteria andFrsfzhNotBetween(String value1, String value2) {
            addCriterion("frsfzh not between", value1, value2, "frsfzh");
            return (Criteria) this;
        }

        public Criteria andFrlxfsIsNull() {
            addCriterion("frlxfs is null");
            return (Criteria) this;
        }

        public Criteria andFrlxfsIsNotNull() {
            addCriterion("frlxfs is not null");
            return (Criteria) this;
        }

        public Criteria andFrlxfsEqualTo(String value) {
            addCriterion("frlxfs =", value, "frlxfs");
            return (Criteria) this;
        }

        public Criteria andFrlxfsNotEqualTo(String value) {
            addCriterion("frlxfs <>", value, "frlxfs");
            return (Criteria) this;
        }

        public Criteria andFrlxfsGreaterThan(String value) {
            addCriterion("frlxfs >", value, "frlxfs");
            return (Criteria) this;
        }

        public Criteria andFrlxfsGreaterThanOrEqualTo(String value) {
            addCriterion("frlxfs >=", value, "frlxfs");
            return (Criteria) this;
        }

        public Criteria andFrlxfsLessThan(String value) {
            addCriterion("frlxfs <", value, "frlxfs");
            return (Criteria) this;
        }

        public Criteria andFrlxfsLessThanOrEqualTo(String value) {
            addCriterion("frlxfs <=", value, "frlxfs");
            return (Criteria) this;
        }

        public Criteria andFrlxfsLike(String value) {
            addCriterion("frlxfs like", value, "frlxfs");
            return (Criteria) this;
        }

        public Criteria andFrlxfsNotLike(String value) {
            addCriterion("frlxfs not like", value, "frlxfs");
            return (Criteria) this;
        }

        public Criteria andFrlxfsIn(List<String> values) {
            addCriterion("frlxfs in", values, "frlxfs");
            return (Criteria) this;
        }

        public Criteria andFrlxfsNotIn(List<String> values) {
            addCriterion("frlxfs not in", values, "frlxfs");
            return (Criteria) this;
        }

        public Criteria andFrlxfsBetween(String value1, String value2) {
            addCriterion("frlxfs between", value1, value2, "frlxfs");
            return (Criteria) this;
        }

        public Criteria andFrlxfsNotBetween(String value1, String value2) {
            addCriterion("frlxfs not between", value1, value2, "frlxfs");
            return (Criteria) this;
        }

        public Criteria andQylxrIsNull() {
            addCriterion("qylxr is null");
            return (Criteria) this;
        }

        public Criteria andQylxrIsNotNull() {
            addCriterion("qylxr is not null");
            return (Criteria) this;
        }

        public Criteria andQylxrEqualTo(String value) {
            addCriterion("qylxr =", value, "qylxr");
            return (Criteria) this;
        }

        public Criteria andQylxrNotEqualTo(String value) {
            addCriterion("qylxr <>", value, "qylxr");
            return (Criteria) this;
        }

        public Criteria andQylxrGreaterThan(String value) {
            addCriterion("qylxr >", value, "qylxr");
            return (Criteria) this;
        }

        public Criteria andQylxrGreaterThanOrEqualTo(String value) {
            addCriterion("qylxr >=", value, "qylxr");
            return (Criteria) this;
        }

        public Criteria andQylxrLessThan(String value) {
            addCriterion("qylxr <", value, "qylxr");
            return (Criteria) this;
        }

        public Criteria andQylxrLessThanOrEqualTo(String value) {
            addCriterion("qylxr <=", value, "qylxr");
            return (Criteria) this;
        }

        public Criteria andQylxrLike(String value) {
            addCriterion("qylxr like", value, "qylxr");
            return (Criteria) this;
        }

        public Criteria andQylxrNotLike(String value) {
            addCriterion("qylxr not like", value, "qylxr");
            return (Criteria) this;
        }

        public Criteria andQylxrIn(List<String> values) {
            addCriterion("qylxr in", values, "qylxr");
            return (Criteria) this;
        }

        public Criteria andQylxrNotIn(List<String> values) {
            addCriterion("qylxr not in", values, "qylxr");
            return (Criteria) this;
        }

        public Criteria andQylxrBetween(String value1, String value2) {
            addCriterion("qylxr between", value1, value2, "qylxr");
            return (Criteria) this;
        }

        public Criteria andQylxrNotBetween(String value1, String value2) {
            addCriterion("qylxr not between", value1, value2, "qylxr");
            return (Criteria) this;
        }

        public Criteria andBgdhIsNull() {
            addCriterion("bgdh is null");
            return (Criteria) this;
        }

        public Criteria andBgdhIsNotNull() {
            addCriterion("bgdh is not null");
            return (Criteria) this;
        }

        public Criteria andBgdhEqualTo(String value) {
            addCriterion("bgdh =", value, "bgdh");
            return (Criteria) this;
        }

        public Criteria andBgdhNotEqualTo(String value) {
            addCriterion("bgdh <>", value, "bgdh");
            return (Criteria) this;
        }

        public Criteria andBgdhGreaterThan(String value) {
            addCriterion("bgdh >", value, "bgdh");
            return (Criteria) this;
        }

        public Criteria andBgdhGreaterThanOrEqualTo(String value) {
            addCriterion("bgdh >=", value, "bgdh");
            return (Criteria) this;
        }

        public Criteria andBgdhLessThan(String value) {
            addCriterion("bgdh <", value, "bgdh");
            return (Criteria) this;
        }

        public Criteria andBgdhLessThanOrEqualTo(String value) {
            addCriterion("bgdh <=", value, "bgdh");
            return (Criteria) this;
        }

        public Criteria andBgdhLike(String value) {
            addCriterion("bgdh like", value, "bgdh");
            return (Criteria) this;
        }

        public Criteria andBgdhNotLike(String value) {
            addCriterion("bgdh not like", value, "bgdh");
            return (Criteria) this;
        }

        public Criteria andBgdhIn(List<String> values) {
            addCriterion("bgdh in", values, "bgdh");
            return (Criteria) this;
        }

        public Criteria andBgdhNotIn(List<String> values) {
            addCriterion("bgdh not in", values, "bgdh");
            return (Criteria) this;
        }

        public Criteria andBgdhBetween(String value1, String value2) {
            addCriterion("bgdh between", value1, value2, "bgdh");
            return (Criteria) this;
        }

        public Criteria andBgdhNotBetween(String value1, String value2) {
            addCriterion("bgdh not between", value1, value2, "bgdh");
            return (Criteria) this;
        }

        public Criteria andZcdzIsNull() {
            addCriterion("zcdz is null");
            return (Criteria) this;
        }

        public Criteria andZcdzIsNotNull() {
            addCriterion("zcdz is not null");
            return (Criteria) this;
        }

        public Criteria andZcdzEqualTo(String value) {
            addCriterion("zcdz =", value, "zcdz");
            return (Criteria) this;
        }

        public Criteria andZcdzNotEqualTo(String value) {
            addCriterion("zcdz <>", value, "zcdz");
            return (Criteria) this;
        }

        public Criteria andZcdzGreaterThan(String value) {
            addCriterion("zcdz >", value, "zcdz");
            return (Criteria) this;
        }

        public Criteria andZcdzGreaterThanOrEqualTo(String value) {
            addCriterion("zcdz >=", value, "zcdz");
            return (Criteria) this;
        }

        public Criteria andZcdzLessThan(String value) {
            addCriterion("zcdz <", value, "zcdz");
            return (Criteria) this;
        }

        public Criteria andZcdzLessThanOrEqualTo(String value) {
            addCriterion("zcdz <=", value, "zcdz");
            return (Criteria) this;
        }

        public Criteria andZcdzLike(String value) {
            addCriterion("zcdz like", value, "zcdz");
            return (Criteria) this;
        }

        public Criteria andZcdzNotLike(String value) {
            addCriterion("zcdz not like", value, "zcdz");
            return (Criteria) this;
        }

        public Criteria andZcdzIn(List<String> values) {
            addCriterion("zcdz in", values, "zcdz");
            return (Criteria) this;
        }

        public Criteria andZcdzNotIn(List<String> values) {
            addCriterion("zcdz not in", values, "zcdz");
            return (Criteria) this;
        }

        public Criteria andZcdzBetween(String value1, String value2) {
            addCriterion("zcdz between", value1, value2, "zcdz");
            return (Criteria) this;
        }

        public Criteria andZcdzNotBetween(String value1, String value2) {
            addCriterion("zcdz not between", value1, value2, "zcdz");
            return (Criteria) this;
        }

        public Criteria andZcdzProvinceIsNull() {
            addCriterion("zcdz_province is null");
            return (Criteria) this;
        }

        public Criteria andZcdzProvinceIsNotNull() {
            addCriterion("zcdz_province is not null");
            return (Criteria) this;
        }

        public Criteria andZcdzProvinceEqualTo(String value) {
            addCriterion("zcdz_province =", value, "zcdzProvince");
            return (Criteria) this;
        }

        public Criteria andZcdzProvinceNotEqualTo(String value) {
            addCriterion("zcdz_province <>", value, "zcdzProvince");
            return (Criteria) this;
        }

        public Criteria andZcdzProvinceGreaterThan(String value) {
            addCriterion("zcdz_province >", value, "zcdzProvince");
            return (Criteria) this;
        }

        public Criteria andZcdzProvinceGreaterThanOrEqualTo(String value) {
            addCriterion("zcdz_province >=", value, "zcdzProvince");
            return (Criteria) this;
        }

        public Criteria andZcdzProvinceLessThan(String value) {
            addCriterion("zcdz_province <", value, "zcdzProvince");
            return (Criteria) this;
        }

        public Criteria andZcdzProvinceLessThanOrEqualTo(String value) {
            addCriterion("zcdz_province <=", value, "zcdzProvince");
            return (Criteria) this;
        }

        public Criteria andZcdzProvinceLike(String value) {
            addCriterion("zcdz_province like", value, "zcdzProvince");
            return (Criteria) this;
        }

        public Criteria andZcdzProvinceNotLike(String value) {
            addCriterion("zcdz_province not like", value, "zcdzProvince");
            return (Criteria) this;
        }

        public Criteria andZcdzProvinceIn(List<String> values) {
            addCriterion("zcdz_province in", values, "zcdzProvince");
            return (Criteria) this;
        }

        public Criteria andZcdzProvinceNotIn(List<String> values) {
            addCriterion("zcdz_province not in", values, "zcdzProvince");
            return (Criteria) this;
        }

        public Criteria andZcdzProvinceBetween(String value1, String value2) {
            addCriterion("zcdz_province between", value1, value2, "zcdzProvince");
            return (Criteria) this;
        }

        public Criteria andZcdzProvinceNotBetween(String value1, String value2) {
            addCriterion("zcdz_province not between", value1, value2, "zcdzProvince");
            return (Criteria) this;
        }

        public Criteria andZcdzCityIsNull() {
            addCriterion("zcdz_city is null");
            return (Criteria) this;
        }

        public Criteria andZcdzCityIsNotNull() {
            addCriterion("zcdz_city is not null");
            return (Criteria) this;
        }

        public Criteria andZcdzCityEqualTo(String value) {
            addCriterion("zcdz_city =", value, "zcdzCity");
            return (Criteria) this;
        }

        public Criteria andZcdzCityNotEqualTo(String value) {
            addCriterion("zcdz_city <>", value, "zcdzCity");
            return (Criteria) this;
        }

        public Criteria andZcdzCityGreaterThan(String value) {
            addCriterion("zcdz_city >", value, "zcdzCity");
            return (Criteria) this;
        }

        public Criteria andZcdzCityGreaterThanOrEqualTo(String value) {
            addCriterion("zcdz_city >=", value, "zcdzCity");
            return (Criteria) this;
        }

        public Criteria andZcdzCityLessThan(String value) {
            addCriterion("zcdz_city <", value, "zcdzCity");
            return (Criteria) this;
        }

        public Criteria andZcdzCityLessThanOrEqualTo(String value) {
            addCriterion("zcdz_city <=", value, "zcdzCity");
            return (Criteria) this;
        }

        public Criteria andZcdzCityLike(String value) {
            addCriterion("zcdz_city like", value, "zcdzCity");
            return (Criteria) this;
        }

        public Criteria andZcdzCityNotLike(String value) {
            addCriterion("zcdz_city not like", value, "zcdzCity");
            return (Criteria) this;
        }

        public Criteria andZcdzCityIn(List<String> values) {
            addCriterion("zcdz_city in", values, "zcdzCity");
            return (Criteria) this;
        }

        public Criteria andZcdzCityNotIn(List<String> values) {
            addCriterion("zcdz_city not in", values, "zcdzCity");
            return (Criteria) this;
        }

        public Criteria andZcdzCityBetween(String value1, String value2) {
            addCriterion("zcdz_city between", value1, value2, "zcdzCity");
            return (Criteria) this;
        }

        public Criteria andZcdzCityNotBetween(String value1, String value2) {
            addCriterion("zcdz_city not between", value1, value2, "zcdzCity");
            return (Criteria) this;
        }

        public Criteria andZcdzAreaIsNull() {
            addCriterion("zcdz_area is null");
            return (Criteria) this;
        }

        public Criteria andZcdzAreaIsNotNull() {
            addCriterion("zcdz_area is not null");
            return (Criteria) this;
        }

        public Criteria andZcdzAreaEqualTo(String value) {
            addCriterion("zcdz_area =", value, "zcdzArea");
            return (Criteria) this;
        }

        public Criteria andZcdzAreaNotEqualTo(String value) {
            addCriterion("zcdz_area <>", value, "zcdzArea");
            return (Criteria) this;
        }

        public Criteria andZcdzAreaGreaterThan(String value) {
            addCriterion("zcdz_area >", value, "zcdzArea");
            return (Criteria) this;
        }

        public Criteria andZcdzAreaGreaterThanOrEqualTo(String value) {
            addCriterion("zcdz_area >=", value, "zcdzArea");
            return (Criteria) this;
        }

        public Criteria andZcdzAreaLessThan(String value) {
            addCriterion("zcdz_area <", value, "zcdzArea");
            return (Criteria) this;
        }

        public Criteria andZcdzAreaLessThanOrEqualTo(String value) {
            addCriterion("zcdz_area <=", value, "zcdzArea");
            return (Criteria) this;
        }

        public Criteria andZcdzAreaLike(String value) {
            addCriterion("zcdz_area like", value, "zcdzArea");
            return (Criteria) this;
        }

        public Criteria andZcdzAreaNotLike(String value) {
            addCriterion("zcdz_area not like", value, "zcdzArea");
            return (Criteria) this;
        }

        public Criteria andZcdzAreaIn(List<String> values) {
            addCriterion("zcdz_area in", values, "zcdzArea");
            return (Criteria) this;
        }

        public Criteria andZcdzAreaNotIn(List<String> values) {
            addCriterion("zcdz_area not in", values, "zcdzArea");
            return (Criteria) this;
        }

        public Criteria andZcdzAreaBetween(String value1, String value2) {
            addCriterion("zcdz_area between", value1, value2, "zcdzArea");
            return (Criteria) this;
        }

        public Criteria andZcdzAreaNotBetween(String value1, String value2) {
            addCriterion("zcdz_area not between", value1, value2, "zcdzArea");
            return (Criteria) this;
        }

        public Criteria andDzyxIsNull() {
            addCriterion("dzyx is null");
            return (Criteria) this;
        }

        public Criteria andDzyxIsNotNull() {
            addCriterion("dzyx is not null");
            return (Criteria) this;
        }

        public Criteria andDzyxEqualTo(String value) {
            addCriterion("dzyx =", value, "dzyx");
            return (Criteria) this;
        }

        public Criteria andDzyxNotEqualTo(String value) {
            addCriterion("dzyx <>", value, "dzyx");
            return (Criteria) this;
        }

        public Criteria andDzyxGreaterThan(String value) {
            addCriterion("dzyx >", value, "dzyx");
            return (Criteria) this;
        }

        public Criteria andDzyxGreaterThanOrEqualTo(String value) {
            addCriterion("dzyx >=", value, "dzyx");
            return (Criteria) this;
        }

        public Criteria andDzyxLessThan(String value) {
            addCriterion("dzyx <", value, "dzyx");
            return (Criteria) this;
        }

        public Criteria andDzyxLessThanOrEqualTo(String value) {
            addCriterion("dzyx <=", value, "dzyx");
            return (Criteria) this;
        }

        public Criteria andDzyxLike(String value) {
            addCriterion("dzyx like", value, "dzyx");
            return (Criteria) this;
        }

        public Criteria andDzyxNotLike(String value) {
            addCriterion("dzyx not like", value, "dzyx");
            return (Criteria) this;
        }

        public Criteria andDzyxIn(List<String> values) {
            addCriterion("dzyx in", values, "dzyx");
            return (Criteria) this;
        }

        public Criteria andDzyxNotIn(List<String> values) {
            addCriterion("dzyx not in", values, "dzyx");
            return (Criteria) this;
        }

        public Criteria andDzyxBetween(String value1, String value2) {
            addCriterion("dzyx between", value1, value2, "dzyx");
            return (Criteria) this;
        }

        public Criteria andDzyxNotBetween(String value1, String value2) {
            addCriterion("dzyx not between", value1, value2, "dzyx");
            return (Criteria) this;
        }

        public Criteria andQygfwzdzIsNull() {
            addCriterion("qygfwzdz is null");
            return (Criteria) this;
        }

        public Criteria andQygfwzdzIsNotNull() {
            addCriterion("qygfwzdz is not null");
            return (Criteria) this;
        }

        public Criteria andQygfwzdzEqualTo(String value) {
            addCriterion("qygfwzdz =", value, "qygfwzdz");
            return (Criteria) this;
        }

        public Criteria andQygfwzdzNotEqualTo(String value) {
            addCriterion("qygfwzdz <>", value, "qygfwzdz");
            return (Criteria) this;
        }

        public Criteria andQygfwzdzGreaterThan(String value) {
            addCriterion("qygfwzdz >", value, "qygfwzdz");
            return (Criteria) this;
        }

        public Criteria andQygfwzdzGreaterThanOrEqualTo(String value) {
            addCriterion("qygfwzdz >=", value, "qygfwzdz");
            return (Criteria) this;
        }

        public Criteria andQygfwzdzLessThan(String value) {
            addCriterion("qygfwzdz <", value, "qygfwzdz");
            return (Criteria) this;
        }

        public Criteria andQygfwzdzLessThanOrEqualTo(String value) {
            addCriterion("qygfwzdz <=", value, "qygfwzdz");
            return (Criteria) this;
        }

        public Criteria andQygfwzdzLike(String value) {
            addCriterion("qygfwzdz like", value, "qygfwzdz");
            return (Criteria) this;
        }

        public Criteria andQygfwzdzNotLike(String value) {
            addCriterion("qygfwzdz not like", value, "qygfwzdz");
            return (Criteria) this;
        }

        public Criteria andQygfwzdzIn(List<String> values) {
            addCriterion("qygfwzdz in", values, "qygfwzdz");
            return (Criteria) this;
        }

        public Criteria andQygfwzdzNotIn(List<String> values) {
            addCriterion("qygfwzdz not in", values, "qygfwzdz");
            return (Criteria) this;
        }

        public Criteria andQygfwzdzBetween(String value1, String value2) {
            addCriterion("qygfwzdz between", value1, value2, "qygfwzdz");
            return (Criteria) this;
        }

        public Criteria andQygfwzdzNotBetween(String value1, String value2) {
            addCriterion("qygfwzdz not between", value1, value2, "qygfwzdz");
            return (Criteria) this;
        }

        public Criteria andCzhmIsNull() {
            addCriterion("czhm is null");
            return (Criteria) this;
        }

        public Criteria andCzhmIsNotNull() {
            addCriterion("czhm is not null");
            return (Criteria) this;
        }

        public Criteria andCzhmEqualTo(String value) {
            addCriterion("czhm =", value, "czhm");
            return (Criteria) this;
        }

        public Criteria andCzhmNotEqualTo(String value) {
            addCriterion("czhm <>", value, "czhm");
            return (Criteria) this;
        }

        public Criteria andCzhmGreaterThan(String value) {
            addCriterion("czhm >", value, "czhm");
            return (Criteria) this;
        }

        public Criteria andCzhmGreaterThanOrEqualTo(String value) {
            addCriterion("czhm >=", value, "czhm");
            return (Criteria) this;
        }

        public Criteria andCzhmLessThan(String value) {
            addCriterion("czhm <", value, "czhm");
            return (Criteria) this;
        }

        public Criteria andCzhmLessThanOrEqualTo(String value) {
            addCriterion("czhm <=", value, "czhm");
            return (Criteria) this;
        }

        public Criteria andCzhmLike(String value) {
            addCriterion("czhm like", value, "czhm");
            return (Criteria) this;
        }

        public Criteria andCzhmNotLike(String value) {
            addCriterion("czhm not like", value, "czhm");
            return (Criteria) this;
        }

        public Criteria andCzhmIn(List<String> values) {
            addCriterion("czhm in", values, "czhm");
            return (Criteria) this;
        }

        public Criteria andCzhmNotIn(List<String> values) {
            addCriterion("czhm not in", values, "czhm");
            return (Criteria) this;
        }

        public Criteria andCzhmBetween(String value1, String value2) {
            addCriterion("czhm between", value1, value2, "czhm");
            return (Criteria) this;
        }

        public Criteria andCzhmNotBetween(String value1, String value2) {
            addCriterion("czhm not between", value1, value2, "czhm");
            return (Criteria) this;
        }

        public Criteria andYzbmIsNull() {
            addCriterion("yzbm is null");
            return (Criteria) this;
        }

        public Criteria andYzbmIsNotNull() {
            addCriterion("yzbm is not null");
            return (Criteria) this;
        }

        public Criteria andYzbmEqualTo(String value) {
            addCriterion("yzbm =", value, "yzbm");
            return (Criteria) this;
        }

        public Criteria andYzbmNotEqualTo(String value) {
            addCriterion("yzbm <>", value, "yzbm");
            return (Criteria) this;
        }

        public Criteria andYzbmGreaterThan(String value) {
            addCriterion("yzbm >", value, "yzbm");
            return (Criteria) this;
        }

        public Criteria andYzbmGreaterThanOrEqualTo(String value) {
            addCriterion("yzbm >=", value, "yzbm");
            return (Criteria) this;
        }

        public Criteria andYzbmLessThan(String value) {
            addCriterion("yzbm <", value, "yzbm");
            return (Criteria) this;
        }

        public Criteria andYzbmLessThanOrEqualTo(String value) {
            addCriterion("yzbm <=", value, "yzbm");
            return (Criteria) this;
        }

        public Criteria andYzbmLike(String value) {
            addCriterion("yzbm like", value, "yzbm");
            return (Criteria) this;
        }

        public Criteria andYzbmNotLike(String value) {
            addCriterion("yzbm not like", value, "yzbm");
            return (Criteria) this;
        }

        public Criteria andYzbmIn(List<String> values) {
            addCriterion("yzbm in", values, "yzbm");
            return (Criteria) this;
        }

        public Criteria andYzbmNotIn(List<String> values) {
            addCriterion("yzbm not in", values, "yzbm");
            return (Criteria) this;
        }

        public Criteria andYzbmBetween(String value1, String value2) {
            addCriterion("yzbm between", value1, value2, "yzbm");
            return (Criteria) this;
        }

        public Criteria andYzbmNotBetween(String value1, String value2) {
            addCriterion("yzbm not between", value1, value2, "yzbm");
            return (Criteria) this;
        }

        public Criteria andXzqhdmIsNull() {
            addCriterion("xzqhdm is null");
            return (Criteria) this;
        }

        public Criteria andXzqhdmIsNotNull() {
            addCriterion("xzqhdm is not null");
            return (Criteria) this;
        }

        public Criteria andXzqhdmEqualTo(String value) {
            addCriterion("xzqhdm =", value, "xzqhdm");
            return (Criteria) this;
        }

        public Criteria andXzqhdmNotEqualTo(String value) {
            addCriterion("xzqhdm <>", value, "xzqhdm");
            return (Criteria) this;
        }

        public Criteria andXzqhdmGreaterThan(String value) {
            addCriterion("xzqhdm >", value, "xzqhdm");
            return (Criteria) this;
        }

        public Criteria andXzqhdmGreaterThanOrEqualTo(String value) {
            addCriterion("xzqhdm >=", value, "xzqhdm");
            return (Criteria) this;
        }

        public Criteria andXzqhdmLessThan(String value) {
            addCriterion("xzqhdm <", value, "xzqhdm");
            return (Criteria) this;
        }

        public Criteria andXzqhdmLessThanOrEqualTo(String value) {
            addCriterion("xzqhdm <=", value, "xzqhdm");
            return (Criteria) this;
        }

        public Criteria andXzqhdmLike(String value) {
            addCriterion("xzqhdm like", value, "xzqhdm");
            return (Criteria) this;
        }

        public Criteria andXzqhdmNotLike(String value) {
            addCriterion("xzqhdm not like", value, "xzqhdm");
            return (Criteria) this;
        }

        public Criteria andXzqhdmIn(List<String> values) {
            addCriterion("xzqhdm in", values, "xzqhdm");
            return (Criteria) this;
        }

        public Criteria andXzqhdmNotIn(List<String> values) {
            addCriterion("xzqhdm not in", values, "xzqhdm");
            return (Criteria) this;
        }

        public Criteria andXzqhdmBetween(String value1, String value2) {
            addCriterion("xzqhdm between", value1, value2, "xzqhdm");
            return (Criteria) this;
        }

        public Criteria andXzqhdmNotBetween(String value1, String value2) {
            addCriterion("xzqhdm not between", value1, value2, "xzqhdm");
            return (Criteria) this;
        }

        public Criteria andSjdwmcIsNull() {
            addCriterion("sjdwmc is null");
            return (Criteria) this;
        }

        public Criteria andSjdwmcIsNotNull() {
            addCriterion("sjdwmc is not null");
            return (Criteria) this;
        }

        public Criteria andSjdwmcEqualTo(String value) {
            addCriterion("sjdwmc =", value, "sjdwmc");
            return (Criteria) this;
        }

        public Criteria andSjdwmcNotEqualTo(String value) {
            addCriterion("sjdwmc <>", value, "sjdwmc");
            return (Criteria) this;
        }

        public Criteria andSjdwmcGreaterThan(String value) {
            addCriterion("sjdwmc >", value, "sjdwmc");
            return (Criteria) this;
        }

        public Criteria andSjdwmcGreaterThanOrEqualTo(String value) {
            addCriterion("sjdwmc >=", value, "sjdwmc");
            return (Criteria) this;
        }

        public Criteria andSjdwmcLessThan(String value) {
            addCriterion("sjdwmc <", value, "sjdwmc");
            return (Criteria) this;
        }

        public Criteria andSjdwmcLessThanOrEqualTo(String value) {
            addCriterion("sjdwmc <=", value, "sjdwmc");
            return (Criteria) this;
        }

        public Criteria andSjdwmcLike(String value) {
            addCriterion("sjdwmc like", value, "sjdwmc");
            return (Criteria) this;
        }

        public Criteria andSjdwmcNotLike(String value) {
            addCriterion("sjdwmc not like", value, "sjdwmc");
            return (Criteria) this;
        }

        public Criteria andSjdwmcIn(List<String> values) {
            addCriterion("sjdwmc in", values, "sjdwmc");
            return (Criteria) this;
        }

        public Criteria andSjdwmcNotIn(List<String> values) {
            addCriterion("sjdwmc not in", values, "sjdwmc");
            return (Criteria) this;
        }

        public Criteria andSjdwmcBetween(String value1, String value2) {
            addCriterion("sjdwmc between", value1, value2, "sjdwmc");
            return (Criteria) this;
        }

        public Criteria andSjdwmcNotBetween(String value1, String value2) {
            addCriterion("sjdwmc not between", value1, value2, "sjdwmc");
            return (Criteria) this;
        }

        public Criteria andSjdwdmIsNull() {
            addCriterion("sjdwdm is null");
            return (Criteria) this;
        }

        public Criteria andSjdwdmIsNotNull() {
            addCriterion("sjdwdm is not null");
            return (Criteria) this;
        }

        public Criteria andSjdwdmEqualTo(String value) {
            addCriterion("sjdwdm =", value, "sjdwdm");
            return (Criteria) this;
        }

        public Criteria andSjdwdmNotEqualTo(String value) {
            addCriterion("sjdwdm <>", value, "sjdwdm");
            return (Criteria) this;
        }

        public Criteria andSjdwdmGreaterThan(String value) {
            addCriterion("sjdwdm >", value, "sjdwdm");
            return (Criteria) this;
        }

        public Criteria andSjdwdmGreaterThanOrEqualTo(String value) {
            addCriterion("sjdwdm >=", value, "sjdwdm");
            return (Criteria) this;
        }

        public Criteria andSjdwdmLessThan(String value) {
            addCriterion("sjdwdm <", value, "sjdwdm");
            return (Criteria) this;
        }

        public Criteria andSjdwdmLessThanOrEqualTo(String value) {
            addCriterion("sjdwdm <=", value, "sjdwdm");
            return (Criteria) this;
        }

        public Criteria andSjdwdmLike(String value) {
            addCriterion("sjdwdm like", value, "sjdwdm");
            return (Criteria) this;
        }

        public Criteria andSjdwdmNotLike(String value) {
            addCriterion("sjdwdm not like", value, "sjdwdm");
            return (Criteria) this;
        }

        public Criteria andSjdwdmIn(List<String> values) {
            addCriterion("sjdwdm in", values, "sjdwdm");
            return (Criteria) this;
        }

        public Criteria andSjdwdmNotIn(List<String> values) {
            addCriterion("sjdwdm not in", values, "sjdwdm");
            return (Criteria) this;
        }

        public Criteria andSjdwdmBetween(String value1, String value2) {
            addCriterion("sjdwdm between", value1, value2, "sjdwdm");
            return (Criteria) this;
        }

        public Criteria andSjdwdmNotBetween(String value1, String value2) {
            addCriterion("sjdwdm not between", value1, value2, "sjdwdm");
            return (Criteria) this;
        }

        public Criteria andKqsIsNull() {
            addCriterion("kqs is null");
            return (Criteria) this;
        }

        public Criteria andKqsIsNotNull() {
            addCriterion("kqs is not null");
            return (Criteria) this;
        }

        public Criteria andKqsEqualTo(Integer value) {
            addCriterion("kqs =", value, "kqs");
            return (Criteria) this;
        }

        public Criteria andKqsNotEqualTo(Integer value) {
            addCriterion("kqs <>", value, "kqs");
            return (Criteria) this;
        }

        public Criteria andKqsGreaterThan(Integer value) {
            addCriterion("kqs >", value, "kqs");
            return (Criteria) this;
        }

        public Criteria andKqsGreaterThanOrEqualTo(Integer value) {
            addCriterion("kqs >=", value, "kqs");
            return (Criteria) this;
        }

        public Criteria andKqsLessThan(Integer value) {
            addCriterion("kqs <", value, "kqs");
            return (Criteria) this;
        }

        public Criteria andKqsLessThanOrEqualTo(Integer value) {
            addCriterion("kqs <=", value, "kqs");
            return (Criteria) this;
        }

        public Criteria andKqsIn(List<Integer> values) {
            addCriterion("kqs in", values, "kqs");
            return (Criteria) this;
        }

        public Criteria andKqsNotIn(List<Integer> values) {
            addCriterion("kqs not in", values, "kqs");
            return (Criteria) this;
        }

        public Criteria andKqsBetween(Integer value1, Integer value2) {
            addCriterion("kqs between", value1, value2, "kqs");
            return (Criteria) this;
        }

        public Criteria andKqsNotBetween(Integer value1, Integer value2) {
            addCriterion("kqs not between", value1, value2, "kqs");
            return (Criteria) this;
        }

        public Criteria andCfsIsNull() {
            addCriterion("cfs is null");
            return (Criteria) this;
        }

        public Criteria andCfsIsNotNull() {
            addCriterion("cfs is not null");
            return (Criteria) this;
        }

        public Criteria andCfsEqualTo(Integer value) {
            addCriterion("cfs =", value, "cfs");
            return (Criteria) this;
        }

        public Criteria andCfsNotEqualTo(Integer value) {
            addCriterion("cfs <>", value, "cfs");
            return (Criteria) this;
        }

        public Criteria andCfsGreaterThan(Integer value) {
            addCriterion("cfs >", value, "cfs");
            return (Criteria) this;
        }

        public Criteria andCfsGreaterThanOrEqualTo(Integer value) {
            addCriterion("cfs >=", value, "cfs");
            return (Criteria) this;
        }

        public Criteria andCfsLessThan(Integer value) {
            addCriterion("cfs <", value, "cfs");
            return (Criteria) this;
        }

        public Criteria andCfsLessThanOrEqualTo(Integer value) {
            addCriterion("cfs <=", value, "cfs");
            return (Criteria) this;
        }

        public Criteria andCfsIn(List<Integer> values) {
            addCriterion("cfs in", values, "cfs");
            return (Criteria) this;
        }

        public Criteria andCfsNotIn(List<Integer> values) {
            addCriterion("cfs not in", values, "cfs");
            return (Criteria) this;
        }

        public Criteria andCfsBetween(Integer value1, Integer value2) {
            addCriterion("cfs between", value1, value2, "cfs");
            return (Criteria) this;
        }

        public Criteria andCfsNotBetween(Integer value1, Integer value2) {
            addCriterion("cfs not between", value1, value2, "cfs");
            return (Criteria) this;
        }

        public Criteria andYgsIsNull() {
            addCriterion("ygs is null");
            return (Criteria) this;
        }

        public Criteria andYgsIsNotNull() {
            addCriterion("ygs is not null");
            return (Criteria) this;
        }

        public Criteria andYgsEqualTo(Integer value) {
            addCriterion("ygs =", value, "ygs");
            return (Criteria) this;
        }

        public Criteria andYgsNotEqualTo(Integer value) {
            addCriterion("ygs <>", value, "ygs");
            return (Criteria) this;
        }

        public Criteria andYgsGreaterThan(Integer value) {
            addCriterion("ygs >", value, "ygs");
            return (Criteria) this;
        }

        public Criteria andYgsGreaterThanOrEqualTo(Integer value) {
            addCriterion("ygs >=", value, "ygs");
            return (Criteria) this;
        }

        public Criteria andYgsLessThan(Integer value) {
            addCriterion("ygs <", value, "ygs");
            return (Criteria) this;
        }

        public Criteria andYgsLessThanOrEqualTo(Integer value) {
            addCriterion("ygs <=", value, "ygs");
            return (Criteria) this;
        }

        public Criteria andYgsIn(List<Integer> values) {
            addCriterion("ygs in", values, "ygs");
            return (Criteria) this;
        }

        public Criteria andYgsNotIn(List<Integer> values) {
            addCriterion("ygs not in", values, "ygs");
            return (Criteria) this;
        }

        public Criteria andYgsBetween(Integer value1, Integer value2) {
            addCriterion("ygs between", value1, value2, "ygs");
            return (Criteria) this;
        }

        public Criteria andYgsNotBetween(Integer value1, Integer value2) {
            addCriterion("ygs not between", value1, value2, "ygs");
            return (Criteria) this;
        }

        public Criteria andJdIsNull() {
            addCriterion("jd is null");
            return (Criteria) this;
        }

        public Criteria andJdIsNotNull() {
            addCriterion("jd is not null");
            return (Criteria) this;
        }

        public Criteria andJdEqualTo(BigDecimal value) {
            addCriterion("jd =", value, "jd");
            return (Criteria) this;
        }

        public Criteria andJdNotEqualTo(BigDecimal value) {
            addCriterion("jd <>", value, "jd");
            return (Criteria) this;
        }

        public Criteria andJdGreaterThan(BigDecimal value) {
            addCriterion("jd >", value, "jd");
            return (Criteria) this;
        }

        public Criteria andJdGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("jd >=", value, "jd");
            return (Criteria) this;
        }

        public Criteria andJdLessThan(BigDecimal value) {
            addCriterion("jd <", value, "jd");
            return (Criteria) this;
        }

        public Criteria andJdLessThanOrEqualTo(BigDecimal value) {
            addCriterion("jd <=", value, "jd");
            return (Criteria) this;
        }

        public Criteria andJdIn(List<BigDecimal> values) {
            addCriterion("jd in", values, "jd");
            return (Criteria) this;
        }

        public Criteria andJdNotIn(List<BigDecimal> values) {
            addCriterion("jd not in", values, "jd");
            return (Criteria) this;
        }

        public Criteria andJdBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("jd between", value1, value2, "jd");
            return (Criteria) this;
        }

        public Criteria andJdNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("jd not between", value1, value2, "jd");
            return (Criteria) this;
        }

        public Criteria andWdIsNull() {
            addCriterion("wd is null");
            return (Criteria) this;
        }

        public Criteria andWdIsNotNull() {
            addCriterion("wd is not null");
            return (Criteria) this;
        }

        public Criteria andWdEqualTo(BigDecimal value) {
            addCriterion("wd =", value, "wd");
            return (Criteria) this;
        }

        public Criteria andWdNotEqualTo(BigDecimal value) {
            addCriterion("wd <>", value, "wd");
            return (Criteria) this;
        }

        public Criteria andWdGreaterThan(BigDecimal value) {
            addCriterion("wd >", value, "wd");
            return (Criteria) this;
        }

        public Criteria andWdGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("wd >=", value, "wd");
            return (Criteria) this;
        }

        public Criteria andWdLessThan(BigDecimal value) {
            addCriterion("wd <", value, "wd");
            return (Criteria) this;
        }

        public Criteria andWdLessThanOrEqualTo(BigDecimal value) {
            addCriterion("wd <=", value, "wd");
            return (Criteria) this;
        }

        public Criteria andWdIn(List<BigDecimal> values) {
            addCriterion("wd in", values, "wd");
            return (Criteria) this;
        }

        public Criteria andWdNotIn(List<BigDecimal> values) {
            addCriterion("wd not in", values, "wd");
            return (Criteria) this;
        }

        public Criteria andWdBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("wd between", value1, value2, "wd");
            return (Criteria) this;
        }

        public Criteria andWdNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("wd not between", value1, value2, "wd");
            return (Criteria) this;
        }

        public Criteria andDwztIsNull() {
            addCriterion("dwzt is null");
            return (Criteria) this;
        }

        public Criteria andDwztIsNotNull() {
            addCriterion("dwzt is not null");
            return (Criteria) this;
        }

        public Criteria andDwztEqualTo(Byte value) {
            addCriterion("dwzt =", value, "dwzt");
            return (Criteria) this;
        }

        public Criteria andDwztNotEqualTo(Byte value) {
            addCriterion("dwzt <>", value, "dwzt");
            return (Criteria) this;
        }

        public Criteria andDwztGreaterThan(Byte value) {
            addCriterion("dwzt >", value, "dwzt");
            return (Criteria) this;
        }

        public Criteria andDwztGreaterThanOrEqualTo(Byte value) {
            addCriterion("dwzt >=", value, "dwzt");
            return (Criteria) this;
        }

        public Criteria andDwztLessThan(Byte value) {
            addCriterion("dwzt <", value, "dwzt");
            return (Criteria) this;
        }

        public Criteria andDwztLessThanOrEqualTo(Byte value) {
            addCriterion("dwzt <=", value, "dwzt");
            return (Criteria) this;
        }

        public Criteria andDwztIn(List<Byte> values) {
            addCriterion("dwzt in", values, "dwzt");
            return (Criteria) this;
        }

        public Criteria andDwztNotIn(List<Byte> values) {
            addCriterion("dwzt not in", values, "dwzt");
            return (Criteria) this;
        }

        public Criteria andDwztBetween(Byte value1, Byte value2) {
            addCriterion("dwzt between", value1, value2, "dwzt");
            return (Criteria) this;
        }

        public Criteria andDwztNotBetween(Byte value1, Byte value2) {
            addCriterion("dwzt not between", value1, value2, "dwzt");
            return (Criteria) this;
        }

        public Criteria andCzbzIsNull() {
            addCriterion("czbz is null");
            return (Criteria) this;
        }

        public Criteria andCzbzIsNotNull() {
            addCriterion("czbz is not null");
            return (Criteria) this;
        }

        public Criteria andCzbzEqualTo(String value) {
            addCriterion("czbz =", value, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzNotEqualTo(String value) {
            addCriterion("czbz <>", value, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzGreaterThan(String value) {
            addCriterion("czbz >", value, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzGreaterThanOrEqualTo(String value) {
            addCriterion("czbz >=", value, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzLessThan(String value) {
            addCriterion("czbz <", value, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzLessThanOrEqualTo(String value) {
            addCriterion("czbz <=", value, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzLike(String value) {
            addCriterion("czbz like", value, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzNotLike(String value) {
            addCriterion("czbz not like", value, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzIn(List<String> values) {
            addCriterion("czbz in", values, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzNotIn(List<String> values) {
            addCriterion("czbz not in", values, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzBetween(String value1, String value2) {
            addCriterion("czbz between", value1, value2, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzNotBetween(String value1, String value2) {
            addCriterion("czbz not between", value1, value2, "czbz");
            return (Criteria) this;
        }

        public Criteria andZhgxsjIsNull() {
            addCriterion("zhgxsj is null");
            return (Criteria) this;
        }

        public Criteria andZhgxsjIsNotNull() {
            addCriterion("zhgxsj is not null");
            return (Criteria) this;
        }

        public Criteria andZhgxsjEqualTo(Date value) {
            addCriterion("zhgxsj =", value, "zhgxsj");
            return (Criteria) this;
        }

        public Criteria andZhgxsjNotEqualTo(Date value) {
            addCriterion("zhgxsj <>", value, "zhgxsj");
            return (Criteria) this;
        }

        public Criteria andZhgxsjGreaterThan(Date value) {
            addCriterion("zhgxsj >", value, "zhgxsj");
            return (Criteria) this;
        }

        public Criteria andZhgxsjGreaterThanOrEqualTo(Date value) {
            addCriterion("zhgxsj >=", value, "zhgxsj");
            return (Criteria) this;
        }

        public Criteria andZhgxsjLessThan(Date value) {
            addCriterion("zhgxsj <", value, "zhgxsj");
            return (Criteria) this;
        }

        public Criteria andZhgxsjLessThanOrEqualTo(Date value) {
            addCriterion("zhgxsj <=", value, "zhgxsj");
            return (Criteria) this;
        }

        public Criteria andZhgxsjIn(List<Date> values) {
            addCriterion("zhgxsj in", values, "zhgxsj");
            return (Criteria) this;
        }

        public Criteria andZhgxsjNotIn(List<Date> values) {
            addCriterion("zhgxsj not in", values, "zhgxsj");
            return (Criteria) this;
        }

        public Criteria andZhgxsjBetween(Date value1, Date value2) {
            addCriterion("zhgxsj between", value1, value2, "zhgxsj");
            return (Criteria) this;
        }

        public Criteria andZhgxsjNotBetween(Date value1, Date value2) {
            addCriterion("zhgxsj not between", value1, value2, "zhgxsj");
            return (Criteria) this;
        }
    }

    /**
     * biz_unit_info
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * biz_unit_info 2024-04-26
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}